package com.ruoyi.asset.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 仓库管理对象 ams_warehouse
 * 
 * @author Yangk
 * @date 2026-06-03
 */
public class AmsWarehouse extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 仓库ID */
    private Long warehouseId;

    /** 仓库编码 */
    @Excel(name = "仓库编码")
    private String warehouseCode;

    /** 仓库名称 */
    @Excel(name = "仓库名称")
    private String warehouseName;

    /** 管理部门ID，表示仓库责任部门 */
    private Long manageDeptId;

    /** 管理部门 */
    @Excel(name = "管理部门")
    private String manageDeptName;

    /** 仓库地址 */
    @Excel(name = "仓库地址")
    private String warehouseAddress;

    /** 负责人用户ID */
    private Long managerUserId;

    /** 负责人 */
    @Excel(name = "负责人")
    private String managerName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactPhone;

    /** 启用状态 */
    @Excel(name = "启用状态")
    private String enabled;

    /** 逻辑删除标识 */
    private String delFlag;

    public void setWarehouseId(Long warehouseId) 
    {
        this.warehouseId = warehouseId;
    }

    public Long getWarehouseId() 
    {
        return warehouseId;
    }

    public void setWarehouseCode(String warehouseCode) 
    {
        this.warehouseCode = warehouseCode;
    }

    public String getWarehouseCode() 
    {
        return warehouseCode;
    }

    public void setWarehouseName(String warehouseName) 
    {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseName() 
    {
        return warehouseName;
    }

    public void setManageDeptId(Long manageDeptId) 
    {
        this.manageDeptId = manageDeptId;
    }

    public Long getManageDeptId() 
    {
        return manageDeptId;
    }

    public void setManageDeptName(String manageDeptName) 
    {
        this.manageDeptName = manageDeptName;
    }

    public String getManageDeptName() 
    {
        return manageDeptName;
    }

    public void setWarehouseAddress(String warehouseAddress) 
    {
        this.warehouseAddress = warehouseAddress;
    }

    public String getWarehouseAddress() 
    {
        return warehouseAddress;
    }

    public void setManagerUserId(Long managerUserId)
    {
        this.managerUserId = managerUserId;
    }

    public Long getManagerUserId()
    {
        return managerUserId;
    }

    public void setManagerName(String managerName) 
    {
        this.managerName = managerName;
    }

    public String getManagerName() 
    {
        return managerName;
    }

    public void setContactPhone(String contactPhone) 
    {
        this.contactPhone = contactPhone;
    }

    public String getContactPhone() 
    {
        return contactPhone;
    }

    public void setEnabled(String enabled) 
    {
        this.enabled = enabled;
    }

    public String getEnabled() 
    {
        return enabled;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("warehouseId", getWarehouseId())
            .append("warehouseCode", getWarehouseCode())
            .append("warehouseName", getWarehouseName())
            .append("manageDeptId", getManageDeptId())
            .append("manageDeptName", getManageDeptName())
            .append("warehouseAddress", getWarehouseAddress())
            .append("managerUserId", getManagerUserId())
            .append("managerName", getManagerName())
            .append("contactPhone", getContactPhone())
            .append("enabled", getEnabled())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
